package Matrix2P;

import java.awt.event.ActionListener;

/**
 * Author: Max Buegler - max@sarstech.com
 * Date: Oct 5, 2009
 * Time: 5:44:35 PM
 */
public interface GameAlgorithm {
    public void settings(ActionListener updater);
    public void run(GameMatrix m, ActionListener finish);
    public void stop();
    public String getDescriptor();
}
